> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Device Local Config

> Remove the phone-saved settings so its next provision uses only the portal config



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json delete /v2/admin/auto-provisioning/{deviceId}/local-config
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/auto-provisioning/{deviceId}/local-config:
    delete:
      tags:
        - Auto Provisioning
      summary: Delete Device Local Config
      description: >-
        Remove the phone-saved settings so its next provision uses only the
        portal config
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: deviceId
          required: true
      responses:
        '200':
          description: Local config deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  deviceId:
                    type: number
                  mac:
                    type: string
                  deleted:
                    type: boolean
                    enum:
                      - true
                required:
                  - deviceId
                  - mac
                  - deleted
                additionalProperties: false
        '404':
          description: Device or local config not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.